EC_HTABLE_HAS_KEY(3)

NAME
ec_htable_has_key - Check if the hash table contains this key.

SYNOPSIS
#include <ecoli/htable.h>

bool ec_htable_has_key(
    const struct ec_htable   *htable,   /* The hash table. */
    const void               *key,      /* The key. */
    size_t                    key_len   /* The key length. */
);

RETURN VALUE

true if it contains the key, else false.

SEE ALSO

ec_htable_iter_get_key(3), ec_htable_iter_get_val(3), ec_htable_iter_next(3), ec_htable_len(3), ec_htable(3), ec_htable_force_seed(3), ec_htable_dup(3), ec_htable_iter_get_key_len(3), ec_htable_dump(3), ec_htable_del(3), ec_htable_set(3), ec_htable_get(3), ec_htable_free(3), ec_htable_iter(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.